Bug 1941769 (CVE-2021-28951) - CVE-2021-28951 kernel: DoS because of deadlock in fs/io_uring.c
Summary: CVE-2021-28951 kernel: DoS because of deadlock in fs/io_uring.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-28951
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1943398 1941770
Blocks: 1941771
TreeView+ depends on / blocked
 
Reported: 2021-03-22 18:22 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-03-30 09:57 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. It allows attackers to cause a denial of service (deadlock) because exit may be waiting to park a SQPOLL thread, but concurrently that SQPOLL thread is waiting for a signal to start.
Clone Of:
Environment:
Last Closed: 2021-03-30 09:57:29 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-03-22 18:22:16 UTC
An issue was discovered in fs/io_uring.c in the Linux kernel through 5.11.8. It allows attackers to cause a denial of service (deadlock) because exit may be waiting to park a SQPOLL thread, but concurrently that SQPOLL thread is waiting for a signal to start.

Reference and upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?id=3ebba796fa251d042be42b929a2d916ee5c34a49

Comment 1 Guilherme de Almeida Suckevicz 2021-03-22 18:22:58 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1941770]

Comment 2 Wade Mealing 2021-03-26 01:21:37 UTC
Red Hat does not ship io_uring at this point in time in any of the available products.


Note You need to log in before you can comment on or make changes to this bug.